CHUCK(1)

NAME
chuck — audio programming language for real-time synthesis, composition, and performance

SYNOPSIS

chuck [--halt] [--loop] [--audio] [--silent] [--dump] [--nodump] [--about] [--srateN] [--bufsizeN] [--bufnumN] [--dacN] [--adcN] [--remotehostname] [--portN] [--verboseN] [--probe] [--blocking] [--callback] [--add] [--remove] [--replace] [--status] [--time] [--kill] [--version] [+] [-] [=] [^] [file1] [file2] [file2]

DESCRIPTION

This manual page briefly documents the chuck commands.

chuck is a new audio programming language for real-time synthesis, composition, and performance, which runs on commodity operating systems.

chuck presents a new time-based concurrent programming model, which supports multiple, simultaneous, dynamic control rates, and the ability to add, remove, and modify code, on-the-fly, while the program is running, without stopping or restarting.

The chuck program is built with support for three audio back ends: jack, alsa, and pulse.

OPTIONS

A summary of options is included below.

--add file.ck
    Add a file to a running chuck server.

--remove shrednumber
    Remove a shred to a running chuck server.

--replace shrednumber file.ck
    Replace an existing shred with another file.

--status
    Print chuck server status information.

+ - = ^
    Shortcuts for add, remove, replace and status.

--time
    Get the current time.

--kill
    Kill the chuck server.

--halt
    Start in halt mode (default).

--loop
    Start chuck in loop mode (daemon mode).

--audio
    Start server with audio (default).

--silent
    Start server in silent mode.

--dump
    Dump compilation result (verbose mode).

--nodump
    Do not dump compilation result.

--srateN
    Set sampling rate (default to 48000 for jack, auto detected otherwise).

--bufsizeN
    Set buffer size.

--bufnumN
    Set number of buffer.

--dacN
    Set output audio device.

--adcN
    Set input audio device.

--remotehostname
    Connect to remote hostname.

--portN
    Connect/Listen on port number N.

--verboseN
    Set verbosity level to N.

--probe
    List available audio devices.

--blocking
    Use blocking mode audio access.

--callback
    Use callback mode audio access.

--about --help
    Show summary of options.

--version
    Show version of program.

SEE ALSO

/usr/share/doc/chuck/ChucK_manual.pdf

EXAMPLES

$ cd /usr/share/doc/chuck/examples

$ chuck otf_01.ck &

$ chuck --add otf_02.ck &

$ chuck + otf_0[4567].ck

$ chuck - 0

$ chuck --kill

AUTHOR

This manual page was written by Paul Brossier <piem@altern.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License; either version 2 of the License, or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.